cURL
curl --request POST \
--url https://us.infisical.com/api/v1/secret-syncs/aws-parameter-store/{syncId}/import-secrets{
"secretSync": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"projectId": "<string>",
"connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"syncOptions": {
"keySchema": "<string>",
"disableSecretDeletion": true,
"keyId": "<string>",
"tags": [
{
"key": "<string>",
"value": "<string>"
}
],
"syncSecretMetadataAsTags": true
},
"connection": {
"app": "aws",
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"environment": {
"slug": "<string>",
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"folder": {
"id": "<string>",
"path": "<string>"
},
"destination": "aws-parameter-store",
"destinationConfig": {
"path": "<string>"
},
"description": "<string>",
"isAutoSyncEnabled": true,
"version": 1,
"folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"syncStatus": "<string>",
"lastSyncJobId": "<string>",
"lastSyncMessage": "<string>",
"lastSyncedAt": "2023-11-07T05:31:56Z",
"importStatus": "<string>",
"lastImportJobId": "<string>",
"lastImportMessage": "<string>",
"lastImportedAt": "2023-11-07T05:31:56Z",
"removeStatus": "<string>",
"lastRemoveJobId": "<string>",
"lastRemoveMessage": "<string>",
"lastRemovedAt": "2023-11-07T05:31:56Z"
}
}AWS Parameter Store
Import Secrets
Import secrets from the specified AWS Parameter Store Sync destination.
POST
/
api
/
v1
/
secret-syncs
/
aws-parameter-store
/
{syncId}
/
import-secrets
cURL
curl --request POST \
--url https://us.infisical.com/api/v1/secret-syncs/aws-parameter-store/{syncId}/import-secrets{
"secretSync": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"projectId": "<string>",
"connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"syncOptions": {
"keySchema": "<string>",
"disableSecretDeletion": true,
"keyId": "<string>",
"tags": [
{
"key": "<string>",
"value": "<string>"
}
],
"syncSecretMetadataAsTags": true
},
"connection": {
"app": "aws",
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"environment": {
"slug": "<string>",
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"folder": {
"id": "<string>",
"path": "<string>"
},
"destination": "aws-parameter-store",
"destinationConfig": {
"path": "<string>"
},
"description": "<string>",
"isAutoSyncEnabled": true,
"version": 1,
"folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"syncStatus": "<string>",
"lastSyncJobId": "<string>",
"lastSyncMessage": "<string>",
"lastSyncedAt": "2023-11-07T05:31:56Z",
"importStatus": "<string>",
"lastImportJobId": "<string>",
"lastImportMessage": "<string>",
"lastImportedAt": "2023-11-07T05:31:56Z",
"removeStatus": "<string>",
"lastRemoveJobId": "<string>",
"lastRemoveMessage": "<string>",
"lastRemovedAt": "2023-11-07T05:31:56Z"
}
}Path Parameters
The ID of the AWS Parameter Store Sync to trigger importing secrets for.
Query Parameters
Specify whether Infisical should prioritize secret values from Infisical or AWS Parameter Store.
Available options:
prioritize-source, prioritize-destination Response
Default Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I